:root {
  --black: #202020;
  --dark: #272727;
  --white: #fff;
  --light: #f1f1f1;
  --red: #ea5055;
  --blue: #017fe5;
  --green: #00b89a;
  --yellow: #ffeb3b;
  --gray: #cacaca;
  --metal: #6b7280;
  --ochre:#C58422BF;
  --downriver: #081753;
  --shadow: 0 0 2px 0px rgb(0 0 0 / 56%);
  --light-shadow: 0 24px 64px #26214a1a;

  --font-size: .9rem;

  --tw-gradient-stops: #27272747,#c5842214, rgba(0, 0, 0, 0);
}

* { box-sizing: border-box; scrollbar-width: thin; scrollbar-color: var(--black) var(--white);}

html {
  font-family: -apple-system,BlinkMacSystemFont,SFUI,HelveticaNeue,Helvetica,Arial,sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: 100%;
}

body {  
  margin: 0;
  background-color: var(--white);
  color: var(--black);
  font-size: var(--font-size);
  letter-spacing: 0.7px; 
  height: 100vh;
  width: 100vw;
}

nav {display: flex; flex-direction: column; align-items: center; justify-content: center;}
nav a {text-transform: uppercase;}

aside {  width: 250px; position: fixed; left: 0; top: 0; background-color: var(--dark); overflow:auto}
main { width: calc(100% - 250px); margin-left: 250px; overflow:auto;  }

.container {
  padding-right: 50px !important;
  padding-left: 50px !important;
}
/************************************************/
p,.badge,.btn,label {
  font-family: 'Noto Sans', sans-serif;  
  margin: 0;
}

.title, h5,h1,.btn,.badge ,label{
  letter-spacing: 1px;
}

.shadow {box-shadow: 0 4px 20px rgb(0 0 0 / 12%);}
.light-shadow,.btn-dark,.badge{box-shadow: var(--light-shadow);}
/********************************************/
.badge {padding: 3px 10px; border-radius: .25rem; }

label { max-width: 100%; display: inline-block;  
  margin-bottom: .5rem; font-weight: 600;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

input,select,textarea {
  background-color: var(--light);
  color: var(--black);
  display: block;
  font-size: 1rem;
  padding: .55rem 1.2rem;
  font-weight: 400;
  line-height: 1.5;
  border-radius: .25rem;
  border: 0;
  outline: none;
  width: fit-content;
}

textarea.form-control {height: auto;resize: vertical;}

.form-control {margin-bottom: 10px;}

.btn {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--ochre);  
  color: var(--white);  
  user-select: none;
  font-size: .85rem;
  font-weight: 400;
  line-height: 1.5;
  border: 0;
  border-radius: .25rem;
  cursor: pointer;
  outline: none;
  text-transform: uppercase;
  transition: opacity .15s ease-in-out;
}

a{ text-decoration: none; color: inherit; text-align: center;}

.btn:hover{ opacity: 0.9;}

.alert { margin: 15px 0; }

.btn, .alert,.input-search {padding: .7rem 1.2rem;}

button:disabled,
button[disabled]{
  background-color: var(--light);
  color: var(--gray);
  cursor: initial;
}

.alert {
  padding: 10px;
}
/****************************************/
.list-group {min-width: 250px;}
.list-group>li { border: 0; border-bottom: 1px solid var(--dark);}

ul { margin: 0; padding: 0; list-style: none; }

table, th, td {border: 1px solid var(--black);border-collapse: collapse;padding: 5px 10px;}
td {
  overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 100%;
    max-width: 0;
}
.table {max-width: 100%; overflow-x: auto;}

.br7 {border-radius: 7px;}


::-webkit-scrollbar {
  width: 7px;
  height: 7px;
}

::-webkit-scrollbar-thumb {
  background: var(--dark);
}

::-webkit-scrollbar-thumb:hover {
  background: var(--danger);
}